<?php
	
	namespace Main\Core\Jobs;
	
	abstract class Job implements JobInterface
	{
		protected int $maxAttempts = 3;
		
		public function getName(): string
		{
			return static::class;
		}
		
		public function getMaxAttempts(): int
		{
			return $this->maxAttempts;
		}
		
		abstract public function handle();
	}